[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStringStream.ReadString

Reads a string of length Count

## Declaration

Source position: classesh.inc line 995

`public function TStringStream.ReadString(`
`Count: LongInt`
`):string;`

## Description

ReadString reads Count bytes from the stream and returns the read bytes as a string. If less than Count bytes were available, the string has as many characters as bytes could be read.

The ReadString method is a wrapper around the Read method. It does not do the same stringas the TStream.ReadAnsiString method, which first reads a length integer to determine the length of the string to be read.

## See also

TStringStream.Read |  | Reads from the stream.
TStream.ReadAnsiString |  | Read an ansistring from the stream and return its value.

Documentation generated on: Feb 26 2014